.variant-toggle {
  display: flex;
  align-items: center;
  justify-content: space-between;

  position: fixed;
  top: 8px;
  left: 8px;
  width: 192px;
  height: 48px;
  font-weight: 600;
  letter-spacing: 0.2px;
  cursor: pointer;
  padding-left: 12px;
  padding-right: 12px;

  border-radius: 6px;

  color: hsl(216, 16%, 32%);
  background-color: hsl(216, 16%, 88%, 48%);
}

.variant-toggle:hover {
  background-color: hsl(216, 16%, 88%, 56%);
}

.variant-toggle:hover {
  background-color: hsl(216, 16%, 88%, 56%);
}

.variant-toggle-icon {
  transition: rotate 0.16s linear;
}

.variant-toggle-icon-rotated {
  rotate: 45deg;
}

.variant-panel {
  position: fixed;
  display: flex;
  flex-direction: column;

  top: 64px;
  left: 8px;
  width: 192px;
  height: calc(100% - 72px);

  gap: 12px;
  padding: 12px;
  border-radius: 6px;

  overflow-y: auto;
  transition: translate 0.16s linear;

  background-color: hsl(216, 16%, 88%, 48%);
}

.variant-panel-closed {
  translate: -200px 0;
}

.variant-button {
  display: grid;

  gap: 4px;
  padding: 12px;
  border-radius: 6px;
}

.variant-button:hover {
  background-color: hsl(216, 16%, 88%, 56%);
}

.variant-button-active {
  background-color: hsl(216, 16%, 88%, 64%);
}

.variant-image {
  width: 100%;
  aspect-ratio: 1.5 / 1;
  object-fit: cover;
  border-radius: 6px;
}

.variant-title {
  font-weight: 600;
}
